@charset "utf-8";

html, body{
    margin: 0px;
    padding: 0px; 
    height: 100%;
}

body {
    font-family: sans-serif;
    background-color: whitesmoke;
    color: #1c6a3a;
    height: 100%;
    width: 100%;

}  

.mainbox{
    display: flex;
    flex-direction: column;
    min-width: 400px;
    max-width: 1000px;
    min-height: 100%;
    margin: auto;
    background-color: white;
}

.headbox{
    flex:0 1 auto;
    background-color: #1c6a3a;
}

.inhaltbox{
    flex: 1 1 auto;
}



footer {
    flex: 0 1 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #1c6a3a;
    width: 100%;
    margin-top: 0.5rem; 

    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    bottom: 0;
    color: white;
}

.footer_link {
    flex: 1 1;
    text-align: center;
    margin-left: 0.8rem;
    cursor: pointer;
}

.footer_link:hover{
    color: white;
}


.titlebar{

    display: flex;
    height: 5rem;
    align-items: center;
    justify-content: center;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    margin: 0px;      
}

.bar_left, .bar_middle, .bar_right{
    flex:0 1 auto;
    text-align: center;
}

.maintitle {
    font-family: monospace;
    text-align: center;
    font-size: 2rem;
    font-weight: bold;
    color: #f3f7fa;

}

.buttonbar{
    display: flex;
    
    align-items: flex-end;
    justify-content: center;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    margin: 0px;      
}

.buttonfield{
    
    flex: 1 1;
    text-align:center;
    padding: 0.2rem;
}

.button{
    padding: 0.3rem;
    text-align: center;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    border-bottom-style: solid;    
    border-color:white;
    color: white;
    
}

.button:hover{
    border-color:aliceblue;
    color: aliceblue;
    background-color: #78bc88;
}

.button_click{
    padding: 0.3rem;
    text-align: center;
    font-size: 1rem;
    font-weight: bold;
    cursor: auto;
    border-bottom-style: solid;    
    border-color:#b0f5c3;
    color: #b0f5c3;
}

.pic_logo{
    height: 6rem;
    cursor: pointer;
}



.pic_logo:hover{
    box-shadow: 0px 0px 0.5rem 0.3rem #94A8BB;
    background-color: #94A8BB;
    border-radius: 0.5rem;

}


.card {
    margin: 1rem;
    padding: 15px;
    border-style: solid;
    border-width: thin;
    border-radius: 0.3rem;
    box-shadow: 0px 0px 20px 1px gray;


}
.card_title, .card_title2, .card_title3 {
    color: black;
    font-weight: bold;
    margin-bottom: 0.5rem;

}

.card_title {
    font-size: 1.2rem;
}

.card_title2 {
    font-size: 1.0rem;
}

.card_title3 {
    font-size: 0.8rem;
}



.card_text, .card_text2, .card_link {
    color: black;
    margin-bottom: 0.5rem;
}

.card_text {
    font-size: 1rem;
}

.card_text2 {

    font-size: 0.8rem;

}
.card_link {
    font-size: 1rem;
    text-decoration: underline;
    cursor: pointer;
}

.card_text_warning {
    color: red;
    font-size: 1rem;
    margin-bottom: 0.5rem;
}


.picbar{
    height: 13rem;

    text-align: center;

}

.picblock{
    text-align: center;
    padding: 1rem;

}


.pic_intro{
    height: 12rem;
}

.pic_facebook{
    height: 2rem;
    padding-right: 2rem;
}



.tabelle {
    display: table; 
    border-collapse:collapse;
    border: thin solid #d6e0e6;
    margin-top: 0.1rem;
    margin-bottom: 0.1rem;
    max-width: 100%;
}


.tabelle .zeile {
    display:table-row;
    background-color: #d6e0e6;
}

.tabelle .zeile:first-child {
    display: table-header-group;
    font-weight: bold;
    background-color: #64829f; 
    color: #f3f7fa;
}

.tabelle .zeile:nth-child(2n){
    background-color: #f3f7fa;
}

.tabelle .zelle {
    display:table-cell;
    padding: 0.3rem;
    border: thin solid gray;
    text-align: center;

}

.tabelle .zelle:first-child {
    text-align: left;

}

.tabelle .gitter {
    border: thin solid black;
}

.form{
    max-width: 40rem;
}

.form_box{
    display: table;
    border-collapse: separate;
    width: 100%;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    flex-direction: column;
    box-sizing:border-box;
    align-content: stretch;
    border: thin solid gray;
    padding: 1rem;
}

.form_zeile{
    display: table-row;
    flex-direction: row;
    flex-wrap: nowrap;
    width: 100%;
    vertical-align: middle;

}

.form_zelle1{
    display:table-cell;
    width: 9rem;
    margin-top: 0.5rem;
    text-align: left;
    vertical-align: middle;

}


.form_zelle2{
    display:table-cell; 
    vertical-align: middle;
}

.form_zelle3{
    display:table-cell; 
    text-align: right;
    float: right;
    vertical-align: middle;
}


input, textarea, select{
    display: block;
    background-color: #d0dded;
    border: none;
    padding: 0.2rem;
    margin: 0.3rem;
}
input, textarea{
    width: 100%;
}

.input_short{
    width: 5rem;
}

.input_middle{
    width: 8rem;
}

.radio_label{
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    vertical-align: middle;
}

textarea{
    resize: vertical;
}



input:focus, textarea:focus{
    border-color: aliceblue;


}
.checkbox{
    width: auto;
    margin-right: 1rem;

}

.radio{
    width: auto;
    margin:auto;
}

.ldata{
    background-color: white;
    font-size: 1rem;
}

.dsgvo_box{
    display: flex;
    margin-left: 1rem;
}
.submit:disabled{
    color: #94A8BB;
    cursor:default;

}
.submit{
    margin-top: 1rem;
    padding-right: 1rem;
    padding-left: 1rem;
    font-weight: bold;
    color: black;
    background-color: #d0dded;
    cursor: pointer;
    width: 6rem;
    height: 2rem;
}

.submit:active{
    color: white;
    outline: none;

}


.hide {
    display: none;
}

.clear {
    float: none;
    clear: both;
}

.rating {
    unicode-bidi: bidi-override;
    direction: ltr;
    text-align: left;
    position: relative;
    width: 12em;
}

.rating > label {
    float: right;
    display: inline;
    padding: 0;
    margin: 0;
    position: relative;
    width: 1.1em;
    cursor: pointer;
    color: #000;
    font-size: 2.0em;
}

.rating > label:hover,
.rating > label:hover ~ label,
.rating > input.radio-btn:checked ~ label {
    color: transparent;
}

.rating > label:hover:before,
.rating > label:hover ~ label:before,
.rating > input.radio-btn:checked ~ label:before,
.rating > input.radio-btn:checked ~ label:before {
    content: "\2605";
    position: absolute;
    left: 0;
    color: #FFD700;
}

.ratingstar{
    color: #FFD700;
    font-size: 2.0em;
    
    
    
    
}